API SpecificationIntegration Admin
Create integration thumbnail pool
Creates a thumbnail parse pool for an integration and returns it with its token. The token is returned once.
Authorization
OAuth2 upl:privateAuthorizationBearer <token>
OAuth 2.0 authorization
In: header
Scope: upl:private
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
integrationId?string
Format
uuidname?string
Length
1 <= length <= 128[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.IntegrationAdminService/CreateIntegrationThumbnailPool" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"pool": {
"id": "string",
"integrationId": "string",
"name": "string",
"token": "string",
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z"
}
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}